/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomMessageEvent_H__
#define __GdomMessageEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMWindow.h"
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomMessageEvent GdomMessageEvent;
typedef struct _GdomMessageEventClass GdomMessageEventClass;


#define GDOM_TYPE_MESSAGE_EVENT            (gdom_message_event_get_type())
#define GDOM_MESSAGE_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_MESSAGE_EVENT, GdomMessageEvent))
#define GDOM_MESSAGE_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_MESSAGE_EVENT, GdomMessageEvent)Class)
#define GDOM_IS_MESSAGE_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_MESSAGE_EVENT))
#define GDOM_IS_MESSAGE_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_MESSAGE_EVENT))
#define GDOM_MESSAGE_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_MESSAGE_EVENT, GdomMessageEventClass))

typedef struct _GdomMessageEventPrivate GdomMessageEventPrivate;

struct _GdomMessageEvent {
    GdomEvent parent_instance;
    GdomMessageEventPrivate *priv;
};

struct _GdomMessageEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_message_event_get_type (void);

WEBKIT_API void
gdom_message_event_init_message_event (GdomMessageEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, gchar * data_arg, gchar * origin_arg, gchar * last_event_id_arg, GdomDOMWindow * source_arg);

G_END_DECLS

#endif /* __GdomMessageEvent_H__ */
